{% extends 'base.html' %}


{% block content %}
  <h3>Please log in</h3>

{% if form.errors %}
  <p>That username and password didn't work. 
     Try again.</p>
  {% if next %}
    {% if user.is_authenticated %}
      <p>Your account does not have access to this page.</p>
    {% else %}
      <p>To see this page you must log in.</p>
    {% endif %}
  {% endif %}
{% endif %}

<form method="post" action="{% url 'login' %}">
  {% csrf_token %}
  <table>
    <tr>
      <td>{{ form.username.label_tag }}</td>
      <td>{{ form.username }}</td>
      </tr>
    <tr>
      <td>{{ form.password.label_tag }}</td>
      <td>{{ form.password }}</td>
      </tr>
    <tr>
      <td></td>
      <td><input type="submit" value="login" /></td>
      </tr>
    </table>

  <input type="hidden" name="next" value="{{ next }}" />
  {% csrf_token %}
  </form>
{% endblock %}

{% block footer %}
<p><a href="{% url 'password_reset' %}">Lost password?</a></p>
{% endblock %}
